Bug 73540 - background properties doesn't allow new directory path in file selection dialog
background properties doesn't allow new directory path in file selection dialog
Product: Red Hat Linux
Classification: Retired
Component: control-center (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: MoveUpstream, Triaged
Depends On:
  Show dependency treegraph
Reported: 2002-09-05 18:00 EDT by Eugene Kanter
Modified: 2008-05-01 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-20 10:01:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eugene Kanter 2002-09-05 18:00:23 EDT
Description of Problem:

When "~" is entered as a file name it says that file /homedirectorypath
can not be opened instead of changing to home directory as one would

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. install null, run up2date
2. login to default GNOME desktop
3. right click on the desktop, select last item (change background)
4. click on top left button to select new image. this brings file selection dialog.
5. enter "~" (no quotes) in file selection dialog (or enter any valid directory
path, for example "/tmp")

Actual Results:

error message appears.

Expected Results:

current selected directory changes to $HOME (or /tmp)
Comment 1 Owen Taylor 2002-09-05 18:33:39 EDT
OK, this is just how the GTK+ file selector works - if the app doesn't
want directories, it has to implement the change-to-selected directory
behavior itself. (Can't be changed since it would break API compatibility.)

It might be nice if gconf_peditor_image handled directories by changing
to them rather then putting up an error dialog. Reassigning to 
Comment 2 Eugene Kanter 2002-09-06 11:57:40 EDT
Does this mean that every gtk2 application has to implement directory/file
recognition? Since in 99% cases application would want a file and not the
directory I would rather have gtk2 file open dialog change to new directory if
directory is entered and have some addtitional parameter to turn off this
behavior and return to caller the entered text literaly.
Comment 3 Owen Taylor 2002-09-06 14:42:36 EDT
The thing is, an app might actually do something different when
a directory was selected ... so changing this would break 
compatibility with existing apps.

The GTK+ filesel is being replaced wholesale for GTK+-2.4, so we
can fix the problem then.
Comment 4 Andrew Sobala 2002-12-20 09:23:36 EST
Upstream: http://bugzilla.gnome.org/show_bug.cgi?id=101684
Comment 5 Havoc Pennington 2002-12-20 10:01:38 EST

Note You need to log in before you can comment on or make changes to this bug.